
package de.ivu.elect.business.wahl.boundary;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.entity.Wahl;

@Specializes
public class CoreWahlSessionSelector extends WahlSessionSelector {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlSessionSelect wahlSessionSelect;

  public CoreWahlSessionSelector() {
    super();
  }

  @Override
  public boolean isSelected() {
    return wahlSessionSelect.isSelected();
  }

  @Override
  public Wahl getEntity() {
    return wahlSessionSelect.getEntity();
  }

  @Override
  public void setEntity(Wahl wahl) {
    wahlSessionSelect.setEntity(wahl);
  }
}
